package com.dk.mdm.service.mst;

import com.dk.mdm.model.pojo.mst.MeasureReceipt;
import com.dk.mdm.mapper.mst.MeasureReceiptMapper;
import com.dk.common.service.BaseService;
import com.dk.common.mapper.BaseMapper;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class MeasureReceiptService extends BaseService<MeasureReceipt> {

	@Override
	public BaseMapper<MeasureReceipt> getRepository() {
		return measureReceiptMapper;
	}

	@Autowired
	private MeasureReceiptMapper measureReceiptMapper;

	@Override
	public String getPrimaryKey() {
		return "receipt_id";
	}
}
